Ignore User Button

Started by live627, December 15, 2009, 07:45:28 PM

Previous topic - Next topic

live627

Link to Mod

Adds a link for "Ignore" / "Unignore" (to ignore or unignore users) next to the 'report to moderator' link to add the author of a post to your ignore list. Does not show for guests, nor yourself, but does for admins (since you can actually ignore admins' posts in SMF)

jrstark

Says it installed, but I don't see it when signed in to my two test user accounts.

Arantor

Are you using a custom theme? Did you ask it to install on said custom theme?
Holder of controversial views, all of which my own.

jrstark

I updated a copy of 1.1.11 to 2 RC2.  Installed and uninstalled one other mod.  Everything is default, have not started working on the theme yet.

Arantor

Right, but what theme are you using?
Holder of controversial views, all of which my own.

jrstark

Default, I have not changed the theme.

Arantor

And the mod was installed after the upgrade?
Holder of controversial views, all of which my own.

jrstark

Quote from: The Grinch on December 23, 2009, 02:59:19 AM
And the mod was installed after the upgrade?

Yes, after the upgrade.  Before the upgrade I was using the Ignore User mod, but that one has not been upgraded for 2.0.

Arantor

Do you get any errors in the error log?
Holder of controversial views, all of which my own.

jrstark

I've tried uninstalling and re-installing several times, downloaded fresh a couple of times.  Finally got some errors last night:

The package you are attempting to install is missing the package-info.xml that must be in the root package directory.

8: Undefined index: package

There were two errors of the above, both in Sources/PackageGet.php, on Line: 607 and Line: 585

Just now I uninstalled, deleted and downloaded again.  This time I checked to install to Classic YaBB SE and Babylon as well.  Went in and viewed a thread using a regular user account, still no link.  Only had one error:

8: Undefined index: theme

This was in Sources/Packages.php on Line: 935

For some reason I am not able to install by URL, I have to browse to do it.  All folders are writeable 777 when I check permissions.

I am running apache, mysql and PHP on my WinXP laptop, so no FTP info.


Arantor

Well, I develop on an XP desktop with Apache, MySQL and PHP too, so I think we can rule that part out.

What interests me is the errors you're getting. Can you install other mods?
Holder of controversial views, all of which my own.

jrstark

Quote from: The Grinch on December 23, 2009, 11:18:56 AM
Well, I develop on an XP desktop with Apache, MySQL and PHP too, so I think we can rule that part out.

What interests me is the errors you're getting. Can you install other mods?

The only other one I've tried so far is global headers and footers.  That installed fine and worked, except the header isn't at the top of the page so I uninstalled it.  I had tried including my existing header and footer but it broke everything, that's why I tried the mod.  Been meaning to try the stop forum spam one, so I'll try that next.

Arantor

I wonder if there's something awry on your system's configuration of SMF, since it seems nothing is installing correctly.
Holder of controversial views, all of which my own.

jrstark

The first time I tried upgrading it didn't work, had to re-download and setup 1.1.11 and changed to default theme, then it did work.  Doesn't look like any of the spam mods are updated for 2.0.  The global headers one worked, the header just wasn't in the right place which seems to be how it is designed.

Can you suggest an easy mod to use for testing?  I've tried to keep my install as simple as possible, my existing custom theme is just header and footer to look like the rest of the site and changing colors in the css.

I do have a ton of old packages still showing in the browse list, because I started with the 1.0 series.  Should I delete those?



Arantor

I'd actually say this mod, to be honest, because it's pretty straightforward, but I can see you're getting errors.

* The Grinch has to go out for a bit now, will see if he can reproduce this on his machine.
Holder of controversial views, all of which my own.

Arantor

Well, I haven't been able to reproduce this; it installs fine on both my local and remove setups, so I'm not sure what to say, really :(
Holder of controversial views, all of which my own.

rufen


live627

I don't think this mod has any settings

rufen

well then it's not working on my forum..

live627

Assuming you have SMF 2.0 RC2

Any errors while installing? Do you have a custom theme active?

Advertisement: